==================================
これは、
linux-2.6.13-rc3/Documentation/fb/sisfb.txt の和訳
です。
翻訳団体： JF プロジェクト < http://www.linux.or.jp/JF/ >
翻訳日 ： 2005/7/15
原著作者 : Thomas Winischhofer <thomas at winischhofer dot net>
翻訳者 ： Hiroshi.Suzuki < setter at reset dot jp >
校正者 ： Chie Nakatani さん <jeanne at mbox dot kyoto-inet dot or dot jp>
==================================

What is sisfb?

"sisfb"ってナニ？
==============

sisfb is a framebuffer device driver for SiS (Silicon Integrated Systems)
graphics chips. Supported are:

- SiS 300 series: SiS 300/305, 540, 630(S), 730(S)
- SiS 315 series: SiS 315/H/PRO, 55x, (M)65x, 740, (M)661(F/M)X, (M)741(GX)
- SiS 330 series: SiS 330 ("Xabre"), (M)760

  sisfb は、SiS (Silicon Integrated Systems) グラフィックチップ用のフレームバッファ
デバイスドライバです。サポートされているのは：

- SiS 300 シリーズ: SiS 300/305, 540, 630(S), 730(S)
- SiS 315 シリーズ: SiS 315/H/PRO, 55x, (M)65x, 740, (M)661(F/M)X, (M)741(GX)
- SiS 330 シリーズ: SiS 330 ("Xabre"), (M)760


Why do I need a framebuffer driver?

なぜ、フレームバッファドライバが必要なの？
===================================

sisfb is eg. useful if you want a high-resolution text console. Besides that,
sisfb is required to run DirectFB (which comes with an additional, dedicated
driver for the 315 series).

  sisfb は、例えば、高解像度テキストコンソールを使用したい場合効果があります。
それに加えて、sisfb は、DirectFB(315シリーズ用の専用ドライバに付属している) 
を実行する場合に必要です。

On the 300 series, sisfb on kernels older than 2.6.3 furthermore plays an
important role in connection with DRM/DRI: Sisfb manages the memory heap
used by DRM/DRI for 3D texture and other data. This memory management is
required for using DRI/DRM.

  300 シリーズでは、2.6.3 より古いカーネルでも sisfb は、
DRM/DRI 接続時に重要な役目を果たします：
sisfb は、3Dテクスチャやその他データに対して、DRM/DRIで使われるメモリヒーブを管理します。
このメモリ管理は、DRI/DRM で必要です。

Kernels >= around 2.6.3 do not need sisfb any longer for DRI/DRM memory
management. The SiS DRM driver has been updated and features a memory manager
of its own (which will be used if sisfb is not compiled). So unless you want
a graphical console, you don't need sisfb on kernels >=2.6.3.

  2.6.3 近辺以上のカーネルでは、DRI/DRM メモリ管理に sisfb はもう必要ではありません。
SiS DRM ドライバはすでに更新されており、それ自身のメモリ管理
(sisfb がコンパイルされない場合に使用されます) を備えています。
2.6.3 以降のカーネルでは、グラフィカルコンソールが必要な場合を除き、sisfb は、不要です。

Sidenote: Since this seems to be a commonly made mistake: sisfb and vesafb
cannot be active at the same time! Do only select one of them in your kernel
configuration.

注意：これは、よくある間違いを生じます：sisfb と、vesafb は、同時に有効にできません！
カーネルコンフィギュレーションでどちらかひとつだけしか選択できません。

How are parameters passed to sisfb?

パラメータは、どのようにしてにして sisfb に渡されますか？
===================================

Well, it depends: If compiled statically into the kernel, use lilo's append
statement to add the parameters to the kernel command line. Please see lilo's
(or GRUB's) documentation for more information. If sisfb is a kernel module,
parameters are given with the modprobe (or insmod) command.

  場合によります： カーネルに組み込みでコンパイルした場合、lilo の append 
ステートメントで カーネルコマンドラインパラメータに追加します。
詳細は、lilo(または、GRUB) のドキュメントを見てください。
sisfb をモジュールにした場合、パラメータは、modprobe(または insmod)コマンドとともに
与えられます。

Example for sisfb as part of the static kernel: Add the following line to your
lilo.conf:

sisfb がカーネル組み込みである場合の例： 以下の行を lilo.conf に追加します：

     append="video=sisfb:mode:1024x768x16,mem:12288,rate:75"

Example for sisfb as a module: Start sisfb by typing

sisfb がモジュールの場合：キー入力により sisfb を開始

     modprobe sisfb mode=1024x768x16 rate=75 mem=12288

A common mistake is that folks use a wrong parameter format when using the
driver compiled into the kernel. Please note: If compiled into the kernel,
the parameter format is video=sisfb:mode:none or video=sisfb:mode:1024x768x16
(or whatever mode you want to use, alternatively using any other format
described above or the vesa keyword instead of mode). If compiled as a module,
the parameter format reads mode=none or mode=1024x768x16 (or whatever mode you
want to use). Using a "=" for a ":" (and vice versa) is a huge difference!
Additionally: If you give more than one argument to the in-kernel sisfb, the
arguments are separated with ",". For example:

  よく間違われることは、ドライバがカーネルの一部としてコンパイルされている場合に、
間違ったパラメータフォーマットを使用することです。
  メモしてください： カーネルに組み込みでコンパイルした場合、パラメータは、
video=sisfb:mode:none 
または、 
video=sisfb:mode:1024x768x16
という形になります
(何か他のモードも使いたい場合、上記または、mode の代わりに vesa キーワードのどちらかを
任意に使用できます)。
  モジュールとしてコンパイルした場合、パラメータは、 mode=none または、
mode=1024x768x16 (または、使用したい他のモード)という形になります。
"=" を ":" にして(あるいはその逆) 使用するのは、非常に大きな違いがあります！
追記： カーネル内の sisfb に、2個以上の引数を与える場合、引数は、"," によって区切ります。
例：

   video=sisfb:mode:1024x768x16,rate:75,mem:12288


How do I use it?

どのように使うの？
================

Preface statement: This file only covers very little of the driver's
capabilities and features. Please refer to the author's and maintainer's
website at http://www.winischhofer.net/linuxsisvga.shtml for more
information. Additionally, "modinfo sisfb" gives an overview over all
supported options including some explanation.

  始めに: このファイルは、ドライバの能力や仕様についてそれほど詳しくありません。
さらに情報を得るために、作者/メンテナ の ウェブサイト
http://www.winischhofer.net/linuxsisvga.shtml を参照してください。
さらに、"modinfo sisfb" では、サポートしているすべてのオプションについて、
簡単な説明付きで概要を表示します(modinfo コマンドの詳細は、man modinfo を参照してください)。

The desired display mode can be specified using the keyword "mode" with
a parameter in one of the follwing formats:
  - XxYxDepth or
  - XxY-Depth or
  - XxY-Depth@Rate or
  - XxY
  - or simply use the VESA mode number in hexadecimal or decimal.

  使いたいディスプレイモードは以下のフォーマットのうちひとつと、"mode" キーワードを使用して
指定できます：
  - XxYxDepth または
  - XxY-Depth または
  - XxY-Depth@Rate または
  - XxY
  - または、単純に 16進数 または、10進数の VESA モード番号を使用します。

For example: 1024x768x16, 1024x768-16@75, 1280x1024-16. If no depth is
specified, it defaults to 8. If no rate is given, it defaults to 60Hz. Depth 32
means 24bit color depth (but 32 bit framebuffer depth, which is not relevant
to the user).

例： 1024x768x16, 1024x768-16@75, 1280x1024-16
  色深度(Depth) を指定しない場合、デフォルトの 8 になります。
同期周波数(rate) を指定しない場合、 デフォルトの 60Hz になります。
Depth 32 は、24ビットの色深度を意味します(32 ビット フレームバッファは、ユーザにとっては、
適切ではありません)

Additionally, sisfb understands the keyword "vesa" followed by a VESA mode
number in decimal or hexadecimal. For example: vesa=791 or vesa=0x117. Please
use either "mode" or "vesa" but not both.

  さらに、sisfb は、10進数 または、16進数の VESA モード番号が続く、キーワード "vesa" を理解します。
例：vesa=791 または vesa=0x117
"mode" または "vesa" のどちらか一つ(両方ではなく)を使用してください。

Linux 2.4 only: If no mode is given, sisfb defaults to "no mode" (mode=none) if
compiled as a module; if sisfb is statically compiled into the kernel, it
defaults to 800x600x8 unless CRT2 type is LCD, in which case the LCD's native
resolution is used. If you want to switch to a different mode, use the fbset
shell command.

  Linux 2.4 の場合のみ：モジュールとしてコンパイルされていて、mode が与えられない場合、
sisfb は、デフォルトの "no mode" (mode=none) になります；カーネルに組み込まれている場合、
デフォルトは、CRT2 の タイプが LCD ではない場合 800x600x8 となり、他の場合、LCD の
ネイティブな解像度が使用されます。異なるモードに切換えたい場合、fbset シェルコマンドを使用します。

Linux 2.6 only: If no mode is given, sisfb defaults to 800x600x8 unless CRT2
type is LCD, in which case it defaults to the LCD's native resolution. If
you want to switch to another mode, use the stty shell command.

  Linux 2.6 の場合のみ：mode が与えられない場合、デフォルトは、CRT2 の タイプが 
LCD ではない場合 800x600x8 となり、他の場合、LCD のネイティブな解像度が使用されます。
他のモードに切替えたい場合、stty シェルコマンドを使用します。

You should compile in both vgacon (to boot if you remove you SiS card from
your system) and sisfb (for graphics mode). Under Linux 2.6, also "Framebuffer
console support" (fbcon) is needed for a graphical console.

  vgacon (システムから、SiS カードを外してブートするため)、および、sisfb (グラフィックモードのため)
の両方をコンパイルしなければなりません。Linux 2.6 では、"Framebuffer console support" (fbcon) 
も、グラフィカルコンソールのために必要です。

You should *not* compile-in vesafb. And please do not use the "vga=" keyword
in lilo's or grub's configuration file; mode selection is done using the
"mode" or "vesa" keywords as a parameter. See above and below.

  vesafb を組み込みでコンパイルしては**いけません**。また、lilo または、 grub の設定ファイルに
 "vga=" キーワードを使用しないでください； モード選択は、"mode" または "vesa" キーワードを
パラメータとして使用することでなされます。上述したことと下の記述も見てください。


X11
===

If using XFree86 or X.org, it is recommended that you don't use the "fbdev"
driver but the dedicated "sis" X driver. The "sis" X driver and sisfb are
developed by the same person (Thomas Winischhofer) and cooperate well with
each other.

  XFree86 または X.org を使用する場合、"fbdev" ドライバではなく提供されている "sis" 
X ドライバを使うよう推奨されます。
  "sis" X ドライバ および、sisfb は、同じ人(Thomas Winischhofer) と、良い協力者によって
開発されています。


SVGALib
=======

SVGALib, if directly accessing the hardware, never restores the screen
correctly, especially on laptops or if the output devices are LCD or TV.
Therefore, use the chipset "FBDEV" in SVGALib configuration. This will make
SVGALib use the framebuffer device for mode switches and restoration.

  SVGALib、もし、直接的にハードウェアにアクセスする、正確に画面が復帰しない、特にラップトップの場合、
または、出力デバイスが、LCDや、TVの場合。故に、SVGALib の設定で、チップセット "FBDEV" 
を使用します。
  これは、SVGALib で モード切換えや、リストアにフレームバッファデバイスを使用するようにします。


Configuration

設定
=============

(Some) accepted options:

(いくつかの) 使用できるオプション:

off      - Disable sisfb. This option is only understood if sisfb is
           in-kernel, not a module.
mem:X    - size of memory for the console, rest will be used for DRI/DRM. X
           is in kilobytes. On 300 series, the default is 4096, 8192 or
	   16384 (each in kilobyte) depending on how much video ram the card
           has. On 315/330 series, the default is the maximum available ram
	   (since DRI/DRM is not supported for these chipsets).
noaccel  - do not use 2D acceleration engine. (Default: use acceleration)
noypan   - disable y-panning and scroll by redrawing the entire screen.
           This is much slower than y-panning. (Default: use y-panning)
vesa:X   - selects startup videomode. X is number from 0 to 0x1FF and
           represents the VESA mode number (can be given in decimal or
	   hexadecimal form, the latter prefixed with "0x").
mode:X   - selects startup videomode. Please see above for the format of
           "X".

off      - sisfb を無効にする。このオプションは、sisfb がモジュールではなくカーネル組み込みの場
            合のみ使えます。
mem:X    - コンソールのためのメモリサイズ、残りは、DRI/DRM用に使用されます。 
           X は、キロバイトです。300 シリーズでは、デフォルトは、カードがどれだけのRAMを持つかにより、
           4096, 8192 または、16384 (それぞれ、キロバイト)です 。
           315/330 シリーズでは、 デフォルトは、使用可能な RAM の最大値です。
	   (これらチップセットでは、DRI/DRM はサポートされません)
noaccel  - 2D アクセラレーションエンジンを使わない。(デフォルト: アクセラレーションを使う)
noypan   - 画面全体の再描画に y-パンニング と、 スクロールを使用しない。
           これは、 y-パンニング より、とても遅くなります。 (デフォルト：y-パンニングを使う)
vesa:X   - スタートアップビデオモードの選択。X は、0から、0x1FF の数字 および、VESA モード番号
           ("0x" で始まる文字の10進数または、16進数で与えられる)
mode:X   - スタートアップビデオモードの選択。"X"のフォーマットは上記参照。

Boolean options such as "noaccel" or "noypan" are to be given without a
parameter if sisfb is in-kernel (for example "video=sisfb:noypan). If
sisfb is a module, these are to be set to 1 (for example "modprobe sisfb
noypan=1").

  "noaccel" や "noypan" などの、ブール値オプションは、sisfb がカーネル組み込みに場合、
パラメータをともないません。
(例："video=sisfb:noypan")
sisfb がモジュールの場合、1 をセットします。(例： "modprobe sisfb noypan=1")

--
Thomas Winischhofer <thomas at winischhofer dot net>
May 27, 2004


